import request from "@/utils/request";

// 查询网评员列表
export function listCommentator(query) {
  return request({
    url: "/zongzhi/commentator/list",
    method: "get",
    params: query,
  });
}

// 查询网评员详细
export function getCommentator(id) {
  return request({
    url: "/zongzhi/commentator/" + id,
    method: "get",
  });
}

// 新增网评员
export function addCommentator(data) {
  return request({
    url: "/zongzhi/commentator",
    method: "post",
    data: data,
  });
}

// 修改网评员
export function updateCommentator(data) {
  return request({
    url: "/zongzhi/commentator",
    method: "put",
    data: data,
  });
}

// 删除网评员
export function delCommentator(id) {
  return request({
    url: "/zongzhi/commentator/" + id,
    method: "delete",
  });
}

// 导出网评员
export function exportCommentator(data) {
  return request({
    url: "/zongzhi/commentator/export",
    method: "post",
    data,
  });
}
